.chat-messages-show-container{
   background: #c3c3c3;
   height: 400px;
   display: flex;
   flex-direction: column;
   overflow: auto;
}
.chat-messages-show-list {
   list-style-type:none;
   margin: 0;
   padding: 0;
}
.chat-messages-create-container{
   background: #616161;
   height: 100px;
   display: flex;
   justify-content: center;
}
.chat-messages-create-input {
   padding: 12px;
   margin: 29px 30px;
   flex:2
}
.chat-messages-create-button {
   height: 50px;
   margin: auto 40px;
   width: 100px;
}

.inbox_people {
   background: #f8f8f8 none repeat scroll 0 0;
   float: left;
   overflow: hidden;
   width: 40%; border-right:1px solid #c4c4c4;
}
.inbox_msg {
border: 1px solid #c4c4c4;
clear: both;
overflow: hidden;
box-shadow: 0.2rem 0.5rem 1rem #888888 !important;
}
.top_spac{ margin: 20px 0 0;}


.recent_heading {float: left; width:40%;}
.srch_bar {
display: inline-block;
text-align: right;
width: 60%;
}
.headind_srch{ padding:10px 29px 10px 20px; overflow:hidden; border-bottom:1px solid #c4c4c4;}

.recent_heading h4 {
color: #05728f;
font-size: 21px;
margin: auto;
}
.srch_bar input{
   border:1px solid #cdcdcd;
   border-width:0 0 1px 0;
   width:80%;
   padding:2px 0 4px 6px;
   background:none;
}
.srch_bar input:focus-visible{
   outline: -webkit-focus-ring-color auto 0px !important;
}
.srch_bar .input-group-addon button {
background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
border: medium none;
padding: 0;
color: #707070;
font-size: 18px;
}
.srch_bar .input-group-addon { margin: 0 0 0 -27px;}

.chat_ib h5{ font-size:15px; color:#464646; margin:0 0 8px 0;}
.chat_ib h5 span{ font-size:13px; float:right;}
.chat_ib p{ font-size:14px; color:#989898; margin:auto}
.chat_img {
float: left;
width: 11%;
}
.chat_ib {
float: left;
padding: 0 0 0 15px;
width: 88%;
}

.chat_people{ overflow:hidden; clear:both;}
.chat_list {
border-bottom: 1px solid #c4c4c4;
margin: 0;
padding: 18px 16px 10px;
}
.inbox_chat { height: 550px; overflow-y: scroll;}

.active_chat{ background:#ebebeb;}

.incoming_msg_img {
display: inline-block;
width: 6%;
}
.received_msg {
display: inline-block;
padding: 0 0 0 10px;
vertical-align: top;
width: 92%;
}
.received_withd_msg p {
background: #ebebeb none repeat scroll 0 0;
border-radius: 20px;
color: #646464;
font-size: 14px;
margin: 0;
padding: 5px 10px 5px 12px;
width: 100%;
}
.time_date {
color: #747474;
display: block;
font-size: 12px;
/* margin: 8px 0 0; */
}
.received_withd_msg { width: 57%;}
.mesgs {
float: left;
padding: 0 15px 0 25px;
width: 60%;
}

.sent_msg p {
background: #05728f none repeat scroll 0 0;
border-radius: 20px;
font-size: 14px;
margin: 0; color:#fff;
padding: 5px 10px 5px 12px;
width:100%;
}
.outgoing_msg{
   overflow:hidden;
   margin:26px 0 26px;
}
.sent_msg {
float: right;
width: 46%;
}
.input_msg_write input {
   background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
   border: medium none;
   color: #4c4c4c;
   font-size: 15px;
   min-height: 48px;
   width: 100%;
}
.input_msg_write input:focus-visible {
   outline: -webkit-focus-ring-color auto 0px !important;
}

.type_msg {border-top: 1px solid #c4c4c4;position: relative;}
.msg_send_btn {
   background: #05728f none repeat scroll 0 0;
   border: medium none;
   border-radius: 50%;
   color: #fff;
   cursor: pointer;
   font-size: 17px;
   height: 33px;
   position: absolute;
   right: 0;
   top: 11px;
   width: 33px;
}
.messaging { padding: 0 0 50px 0;}
.msg_history {
   height: 500px;
   overflow-y: auto;
}

div#chat-msg-user {
   padding: 10px 10px;
   text-align: center;
   font-weight: 700;
   font-family: cursive;
   font-size: larger;
}
.profileImage {
   font-family: cursive;
   width: 2.5rem;
   height: 2.5rem;
   border-radius: 50%;
   background: #004D3C;
   font-size: 1.2rem;
   color: #fff;
   text-align: center;
   line-height: 2.6rem;
}
.chat_list.active {
   background: gainsboro;
}
.chat_list:hover {
   cursor: pointer;
}
/* width */
::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}
.incoming_msg {
   margin-bottom: 8px;
}